scala.tools.nsc.transform.patmat.Logic.PropositionalLogic.AnalysisBudget

# exceeded

#### object exceeded extends Exception

Source
  Logic.scala

Linear Supertypes
Exception, java.lang.RuntimeException, java.lang.Exception, java.lang.Throwable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. exceeded
2. Exception
3. RuntimeException
4. Exception
5. Throwable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val advice: String

   Definition Classes
     Exception

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def fillInStackTrace(): java.lang.Throwable

   Definition Classes
     Throwable

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def getCause(): java.lang.Throwable

    Definition Classes
      Throwable

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

14. #### def getMessage(): String

    Definition Classes
      Throwable

15. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def initCause(arg0: java.lang.Throwable): java.lang.Throwable

    Definition Classes
      Throwable

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

23. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

24. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

25. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      Throwable → AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Exception

### Inherited from java.lang.RuntimeException

### Inherited from java.lang.Exception

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped